package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrCleaningMapper;
import com.ruoyi.project.pssr.domain.TPssrCleaning;
import com.ruoyi.project.pssr.service.ITPssrCleaningService;

/**
 * 设备清洁Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrCleaningServiceImpl implements ITPssrCleaningService
{
    @Autowired
    private TPssrCleaningMapper tPssrCleaningMapper;

    /**
     * 查询设备清洁
     *
     * @param id 设备清洁ID
     * @return 设备清洁
     */
    @Override
    public TPssrCleaning selectTPssrCleaningById(Long id)
    {
        return tPssrCleaningMapper.selectTPssrCleaningById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrCleaningMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询设备清洁列表
     *
     * @param tPssrCleaning 设备清洁
     * @return 设备清洁
     */
    @Override
    public List<TPssrCleaning> selectTPssrCleaningList(TPssrCleaning tPssrCleaning)
    {
        return tPssrCleaningMapper.selectTPssrCleaningList(tPssrCleaning);
    }

    /**
     * 新增设备清洁
     *
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    @Override
    public int insertTPssrCleaning(TPssrCleaning tPssrCleaning)
    {
        return tPssrCleaningMapper.insertTPssrCleaning(tPssrCleaning);
    }

    /**
     * 修改设备清洁
     *
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    @Override
    public int updateTPssrCleaning(TPssrCleaning tPssrCleaning)
    {
        return tPssrCleaningMapper.updateTPssrCleaning(tPssrCleaning);
    }

    /**
     * 批量删除设备清洁
     *
     * @param ids 需要删除的设备清洁ID
     * @return 结果
     */
    @Override
    public int deleteTPssrCleaningByIds(Long[] ids)
    {
        return tPssrCleaningMapper.deleteTPssrCleaningByIds(ids);
    }

    /**
     * 删除设备清洁信息
     *
     * @param id 设备清洁ID
     * @return 结果
     */
    @Override
    public int deleteTPssrCleaningById(Long id)
    {
        return tPssrCleaningMapper.deleteTPssrCleaningById(id);
    }
}
